package com.ruoyi.framework.system.mapper;

import java.util.List;
import com.ruoyi.framework.system.domain.Doctors;

/**
 * 医生信息Mapper接口
 * 
 * @author ruoyi
 * @date 2024-11-13
 */
public interface DoctorsMapper 
{
    /**
     * 查询医生信息
     * 
     * @param DoctorID 医生信息主键
     * @return 医生信息
     */
    public Doctors selectDoctorsByDoctorID(Long DoctorID);

    /**
     * 查询医生信息列表
     * 
     * @param doctors 医生信息
     * @return 医生信息集合
     */
    public List<Doctors> selectDoctorsList(Doctors doctors);

    /**
     * 新增医生信息
     * 
     * @param doctors 医生信息
     * @return 结果
     */
    public int insertDoctors(Doctors doctors);

    /**
     * 修改医生信息
     * 
     * @param doctors 医生信息
     * @return 结果
     */
    public int updateDoctors(Doctors doctors);

    /**
     * 删除医生信息
     * 
     * @param DoctorID 医生信息主键
     * @return 结果
     */
    public int deleteDoctorsByDoctorID(Long DoctorID);

    /**
     * 批量删除医生信息
     * 
     * @param DoctorIDs 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDoctorsByDoctorIDs(Long[] DoctorIDs);
}
